#!/bin/sh

#------------------------------------------------------------------------------ 
# Schematic Reorder Module
# filename:  sch_reorder.sh
# 
#	by Jeremy Webb
#	
#	Rev 1.0, July 27, 2007
#
#	This utility is intended to generate the PDF Schematics for the PC Board
#	Schematics. An example usage is: 
#
#	        ./printpdf.sh sch_p309.ps sch_p309.pdf
#
#	Revision History:
#		1.0	07/27/2007	Initial release
#
#	Please report bugs, errors, etc.
#------------------------------------------------------------------------------

if [ $# -ne 2 ]
then
        echo "Not enough arguments."
        echo ""
        exit
else
        echo "Renaming Schematic files..."
        echo ""
        OLD=$1
        NEW=$2
        X=1
        while [ $X -lt 8 ]
        do
                echo "X = $X"
                mv $OLD.$X $NEW.$X
                X=$((X+1))
        done
        echo "X = $X"
        Y=$((X-1))
        echo "Y = $Y"
        while [ $X -lt 27 ]
        do
                echo "X = $X, Y = $Y"
                mv $OLD.$X $NEW.$Y
                X=$((X+1))
                Y=$((Y+1))
        done
        Y=$((Y-1))
        echo "Y = $Y"
        while [ $X -le 45 ]
        do
                echo "X = $X, Y = $Y"
                mv $OLD.$X $NEW.$Y
                X=$((X+1))
                Y=$((Y+1))
        done
fi
